cascading.tuple.hadoop.io

## Class BufferedInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.ByteArrayInputStream
    - - cascading.tuple.hadoop.io.BufferedInputStream

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public class BufferedInputStream
      extends java.io.ByteArrayInputStream

- - ### Field Summary

    - ### Fields inherited from class java.io.ByteArrayInputStream

      `buf, count, mark, pos`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BufferedInputStream()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `byte[]` | `getBuffer()`
    `int` | `getLength()`
    `int` | `getPosition()`
    `void` | `reset(byte[] input, int start, int length)`

    - ### Methods inherited from class java.io.ByteArrayInputStream

      `available, close, mark, markSupported, read, read, reset, skip`

    - ### Methods inherited from class java.io.InputStream

      `read`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BufferedInputStream

          public BufferedInputStream()

  - ### Method Detail

    - #### reset

          public void reset(byte[] input,
                   int start,
                   int length)

    - #### getBuffer

          public byte[] getBuffer()

    - #### getPosition

          public int getPosition()

    - #### getLength

          public int getLength()

    - #### clear

          public void clear()

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.